package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_housing_land")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeHousingLand extends CustomBaseEntity {

    /**
     * id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 房产数量
     */
    private Long houseNum;

    /**
     * 房产面积
     */
    private BigDecimal houseAcreage;

    /**
     * 土地数量
     */
    private Long landNum;

    /**
     * 土地面积
     */
    private BigDecimal landAcreage;

    /**
     * 房产类型
     */
    private Long type;

    /**
     * 所属单位编码
     */
    private String appOrg;

    @TableField(exist = false)
    private String typeName;
}
